Booklinker.API

<back to all web services

PostUnclaimedLinkCreationRequest

The following routes are available for this service:
POST/v1/links/unclaimed
PostUnclaimedLinkCreationRequest Parameters:
NameParameterData TypeRequiredDescription
AffiliateProgramsbodyList<AffiliateTokens>No
PostLinkCreationRequestBase Parameters:
NameParameterData TypeRequiredDescription
UrlformstringYes
DomainformstringNo
ParameterKeyValuesformDictionary<string, string>No
AffiliateTokens Parameters:
NameParameterData TypeRequiredDescription
GuidformGuidNo
ProgramGuidformGuidNo
TokensformDictionary<string, string>No
PostLinkCreationResponse Parameters:
NameParameterData TypeRequiredDescription
SuccessformboolNo
LinkResultformstringNo
DestinationsformIEnumerable<ProductMetadata>No
ResponseStatusformResponseStatusNo
ProductMetadata Parameters:
NameParameterData TypeRequiredDescription
TitleformstringNo
AuthorformstringNo
UrlformUriNo
DescriptionformstringNo
RetailerformstringNo
ProductImagesformIDictionary<string, Uri>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /v1/links/unclaimed HTTP/1.1 
Host: api.booklinker.com 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<PostUnclaimedLinkCreationRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Booklinker.API.ServiceModel.V1.Requests">
  <domain>String</domain>
  <parameterKeyValues xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>String</d2p1:Key>
      <d2p1:Value>String</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </parameterKeyValues>
  <url>String</url>
  <AffiliatePrograms xmlns:d2p1="http://schemas.datacontract.org/2004/07/Booklinker.API.ServiceModel.V1.DTOs">
    <d2p1:AffiliateTokens>
      <d2p1:affiliateTokens xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>String</d4p1:Key>
          <d4p1:Value>String</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </d2p1:affiliateTokens>
      <d2p1:guid>00000000-0000-0000-0000-000000000000</d2p1:guid>
      <d2p1:programGuid>00000000-0000-0000-0000-000000000000</d2p1:programGuid>
    </d2p1:AffiliateTokens>
  </AffiliatePrograms>
</PostUnclaimedLinkCreationRequest>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<PostLinkCreationResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Booklinker.API.ServiceModel.V1.Responses">
  <destinations xmlns:d2p1="http://schemas.datacontract.org/2004/07/Booklinker.API.ServiceModel.V1.DTOs" i:nil="true" />
  <linkResult>String</linkResult>
  <responseStatus xmlns:d2p1="http://schemas.servicestack.net/types">
    <d2p1:ErrorCode>String</d2p1:ErrorCode>
    <d2p1:Message>String</d2p1:Message>
    <d2p1:StackTrace>String</d2p1:StackTrace>
    <d2p1:Errors>
      <d2p1:ResponseError>
        <d2p1:ErrorCode>String</d2p1:ErrorCode>
        <d2p1:FieldName>String</d2p1:FieldName>
        <d2p1:Message>String</d2p1:Message>
        <d2p1:Meta xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>String</d5p1:Key>
            <d5p1:Value>String</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </d2p1:Meta>
      </d2p1:ResponseError>
    </d2p1:Errors>
    <d2p1:Meta xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>String</d3p1:Key>
        <d3p1:Value>String</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </d2p1:Meta>
  </responseStatus>
  <success>false</success>
</PostLinkCreationResponse>